Resources

Forms Library

Browse SigPen’s library of legal form templates and create ready-to-send documents from them.

Business plan only
POST/api/v1/documents/from-form#

Create document from form (Business only)

ParameterTypeDescription
form_idrequiredstring
prefilloptionalobject
titleoptionalstring
POST /api/v1/documents/from-form
curl -X POST \
  https://www.sigpen.com/api/v1/documents/from-form \
  -H "Authorization: Bearer sp_test_your_key" \
  -H "Content-Type: application/json" \
  -d '{
    "form_id": "tpl_123",
    "title": "Mutual NDA"
  }'
GET/api/v1/forms#

List available forms (Business only)

ParameterTypeDescription
stateoptionalstring
categoryoptionalstring
searchoptionalstring
GET /api/v1/forms
curl -X GET \
  https://www.sigpen.com/api/v1/forms \
  -H "Authorization: Bearer sp_test_your_key"
GET/api/v1/forms/{id}#

Get form details (Business only)

ParameterTypeDescription
idrequiredpathstring
GET /api/v1/forms/{id}
curl -X GET \
  https://www.sigpen.com/api/v1/forms/form_123 \
  -H "Authorization: Bearer sp_test_your_key"